// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/api.proto

/*
Package api is a generated protocol buffer package.

It is generated from these files:
	api/api.proto

It has these top-level messages:
	Account
	AccountCustom
	AccountDevice
	AccountEmail
	AccountFacebook
	AccountGameCenter
	AccountGoogle
	AccountSteam
	AddFriendsRequest
	AuthenticateCustomRequest
	AuthenticateDeviceRequest
	AuthenticateEmailRequest
	AuthenticateFacebookRequest
	AuthenticateGameCenterRequest
	AuthenticateGoogleRequest
	AuthenticateSteamRequest
	BlockFriendsRequest
	ChannelId
	CreateGroupsRequest
	DeleteFriendsRequest
	DeleteNotificationsRequest
	Friend
	Friends
	GetUsersRequest
	Group
	Groups
	ImportFacebookFriendsRequest
	LinkFacebookRequest
	ListNotificationsRequest
	Notification
	NotificationList
	Rpc
	Session
	UpdateAccountRequest
	User
	Users
*/
package api

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/annotations"
import google_protobuf1 "github.com/golang/protobuf/ptypes/empty"
import google_protobuf2 "github.com/golang/protobuf/ptypes/timestamp"
import google_protobuf3 "github.com/golang/protobuf/ptypes/wrappers"
import _ "github.com/grpc-ecosystem/grpc-gateway/protoc-gen-swagger/options"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// The type of chat channel.
type ChannelId_Type int32

const (
	// Default case. Assumed as ROOM type.
	ChannelId_TYPE_UNSPECIFIED ChannelId_Type = 0
	// A room which anyone can join to chat.
	ChannelId_ROOM ChannelId_Type = 1
	// A private channel for 1-on-1 chat.
	ChannelId_DIRECT_MESSAGE ChannelId_Type = 2
	// A channel for group chat.
	ChannelId_GROUP ChannelId_Type = 3
)

var ChannelId_Type_name = map[int32]string{
	0: "TYPE_UNSPECIFIED",
	1: "ROOM",
	2: "DIRECT_MESSAGE",
	3: "GROUP",
}
var ChannelId_Type_value = map[string]int32{
	"TYPE_UNSPECIFIED": 0,
	"ROOM":             1,
	"DIRECT_MESSAGE":   2,
	"GROUP":            3,
}

func (x ChannelId_Type) String() string {
	return proto.EnumName(ChannelId_Type_name, int32(x))
}
func (ChannelId_Type) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{17, 0} }

// The friendship status.
type Friend_State int32

const (
	// Default case. Assumed as FRIEND state.
	Friend_STATE_UNSPECIFIED Friend_State = 0
	// The user is a friend of the current user.
	Friend_FRIEND Friend_State = 1
	// The user has sent an invite to the current user.
	Friend_INVITE_SENT Friend_State = 2
	// The current user has sent an invite to this user.
	Friend_INVITE_RECEIVED Friend_State = 3
	// The current user has blocked this user.
	Friend_BLOCKED Friend_State = 4
)

var Friend_State_name = map[int32]string{
	0: "STATE_UNSPECIFIED",
	1: "FRIEND",
	2: "INVITE_SENT",
	3: "INVITE_RECEIVED",
	4: "BLOCKED",
}
var Friend_State_value = map[string]int32{
	"STATE_UNSPECIFIED": 0,
	"FRIEND":            1,
	"INVITE_SENT":       2,
	"INVITE_RECEIVED":   3,
	"BLOCKED":           4,
}

func (x Friend_State) String() string {
	return proto.EnumName(Friend_State_name, int32(x))
}
func (Friend_State) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{21, 0} }

// A user with additional account details. Always the current user.
type Account struct {
	// The user object.
	User *User `protobuf:"bytes,1,opt,name=user" json:"user,omitempty"`
	// The user's wallet data.
	Wallet string `protobuf:"bytes,2,opt,name=wallet" json:"wallet,omitempty"`
	// The email address of the user.
	Email string `protobuf:"bytes,3,opt,name=email" json:"email,omitempty"`
	// The devices which belong to the user's account.
	Devices []*AccountDevice `protobuf:"bytes,4,rep,name=devices" json:"devices,omitempty"`
	// The custom id in the user's account.
	CustomId string `protobuf:"bytes,5,opt,name=custom_id,json=customId" json:"custom_id,omitempty"`
	// The UNIX time when the user's email was verified.
	VerifyTime *google_protobuf2.Timestamp `protobuf:"bytes,6,opt,name=verify_time,json=verifyTime" json:"verify_time,omitempty"`
}

func (m *Account) Reset()                    { *m = Account{} }
func (m *Account) String() string            { return proto.CompactTextString(m) }
func (*Account) ProtoMessage()               {}
func (*Account) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Account) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *Account) GetWallet() string {
	if m != nil {
		return m.Wallet
	}
	return ""
}

func (m *Account) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *Account) GetDevices() []*AccountDevice {
	if m != nil {
		return m.Devices
	}
	return nil
}

func (m *Account) GetCustomId() string {
	if m != nil {
		return m.CustomId
	}
	return ""
}

func (m *Account) GetVerifyTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.VerifyTime
	}
	return nil
}

// Send a custom ID to the server. Used with authenticate/link/unlink.
type AccountCustom struct {
	// A custom identifier.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *AccountCustom) Reset()                    { *m = AccountCustom{} }
func (m *AccountCustom) String() string            { return proto.CompactTextString(m) }
func (*AccountCustom) ProtoMessage()               {}
func (*AccountCustom) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *AccountCustom) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

// Send a device to the server. Used with authenticate/link/unlink and user.
type AccountDevice struct {
	// A device identifier. Should be obtained by a platform-specific device API.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *AccountDevice) Reset()                    { *m = AccountDevice{} }
func (m *AccountDevice) String() string            { return proto.CompactTextString(m) }
func (*AccountDevice) ProtoMessage()               {}
func (*AccountDevice) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *AccountDevice) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

// Send an email with password to the server. Used with authenticate/link/unlink.
type AccountEmail struct {
	// A valid RFC-5322 email address.
	Email string `protobuf:"bytes,1,opt,name=email" json:"email,omitempty"`
	// A password for the user account.
	Password string `protobuf:"bytes,2,opt,name=password" json:"password,omitempty"`
}

func (m *AccountEmail) Reset()                    { *m = AccountEmail{} }
func (m *AccountEmail) String() string            { return proto.CompactTextString(m) }
func (*AccountEmail) ProtoMessage()               {}
func (*AccountEmail) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *AccountEmail) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *AccountEmail) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

// Send a Facebook token to the server. Used with authenticate/link/unlink.
type AccountFacebook struct {
	// The OAuth token received from Facebook to access their profile API.
	Token string `protobuf:"bytes,1,opt,name=token" json:"token,omitempty"`
}

func (m *AccountFacebook) Reset()                    { *m = AccountFacebook{} }
func (m *AccountFacebook) String() string            { return proto.CompactTextString(m) }
func (*AccountFacebook) ProtoMessage()               {}
func (*AccountFacebook) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *AccountFacebook) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

// Send Apple's Game Center account credentials to the server. Used with authenticate/link/unlink.
type AccountGameCenter struct {
	// Player ID (generated by GameCenter).
	PlayerId string `protobuf:"bytes,1,opt,name=player_id,json=playerId" json:"player_id,omitempty"`
	// Bundle ID (generated by GameCenter).
	BundleId string `protobuf:"bytes,2,opt,name=bundle_id,json=bundleId" json:"bundle_id,omitempty"`
	// Time since UNIX epoch when the signature was created.
	TimestampSeconds int64 `protobuf:"varint,3,opt,name=timestamp_seconds,json=timestampSeconds" json:"timestamp_seconds,omitempty"`
	// A random "NSString" used to compute the hash and keep it randomized.
	Salt string `protobuf:"bytes,4,opt,name=salt" json:"salt,omitempty"`
	// The verification signature data generated.
	Signature string `protobuf:"bytes,5,opt,name=signature" json:"signature,omitempty"`
	// The URL for the public encryption key.
	PublicKeyUrl string `protobuf:"bytes,6,opt,name=public_key_url,json=publicKeyUrl" json:"public_key_url,omitempty"`
}

func (m *AccountGameCenter) Reset()                    { *m = AccountGameCenter{} }
func (m *AccountGameCenter) String() string            { return proto.CompactTextString(m) }
func (*AccountGameCenter) ProtoMessage()               {}
func (*AccountGameCenter) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *AccountGameCenter) GetPlayerId() string {
	if m != nil {
		return m.PlayerId
	}
	return ""
}

func (m *AccountGameCenter) GetBundleId() string {
	if m != nil {
		return m.BundleId
	}
	return ""
}

func (m *AccountGameCenter) GetTimestampSeconds() int64 {
	if m != nil {
		return m.TimestampSeconds
	}
	return 0
}

func (m *AccountGameCenter) GetSalt() string {
	if m != nil {
		return m.Salt
	}
	return ""
}

func (m *AccountGameCenter) GetSignature() string {
	if m != nil {
		return m.Signature
	}
	return ""
}

func (m *AccountGameCenter) GetPublicKeyUrl() string {
	if m != nil {
		return m.PublicKeyUrl
	}
	return ""
}

// Send a Google token to the server. Used with authenticate/link/unlink.
type AccountGoogle struct {
	// The OAuth token received from Google to access their profile API.
	Token string `protobuf:"bytes,1,opt,name=token" json:"token,omitempty"`
}

func (m *AccountGoogle) Reset()                    { *m = AccountGoogle{} }
func (m *AccountGoogle) String() string            { return proto.CompactTextString(m) }
func (*AccountGoogle) ProtoMessage()               {}
func (*AccountGoogle) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *AccountGoogle) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

// Send a Steam token to the server. Used with authenticate/link/unlink.
type AccountSteam struct {
	// The account token received from Steam to access their profile API.
	Token string `protobuf:"bytes,1,opt,name=token" json:"token,omitempty"`
}

func (m *AccountSteam) Reset()                    { *m = AccountSteam{} }
func (m *AccountSteam) String() string            { return proto.CompactTextString(m) }
func (*AccountSteam) ProtoMessage()               {}
func (*AccountSteam) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

func (m *AccountSteam) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

// Add one or more friends to the current user.
type AddFriendsRequest struct {
	// The account id of a user.
	Ids []string `protobuf:"bytes,1,rep,name=ids" json:"ids,omitempty"`
	// The account username of a user.
	Usernames []string `protobuf:"bytes,2,rep,name=usernames" json:"usernames,omitempty"`
}

func (m *AddFriendsRequest) Reset()                    { *m = AddFriendsRequest{} }
func (m *AddFriendsRequest) String() string            { return proto.CompactTextString(m) }
func (*AddFriendsRequest) ProtoMessage()               {}
func (*AddFriendsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

func (m *AddFriendsRequest) GetIds() []string {
	if m != nil {
		return m.Ids
	}
	return nil
}

func (m *AddFriendsRequest) GetUsernames() []string {
	if m != nil {
		return m.Usernames
	}
	return nil
}

// Authenticate against the server with a custom ID.
type AuthenticateCustomRequest struct {
	// The custom account details.
	Account *AccountCustom `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateCustomRequest) Reset()                    { *m = AuthenticateCustomRequest{} }
func (m *AuthenticateCustomRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateCustomRequest) ProtoMessage()               {}
func (*AuthenticateCustomRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{9} }

func (m *AuthenticateCustomRequest) GetAccount() *AccountCustom {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateCustomRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateCustomRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Authenticate against the server with a device ID.
type AuthenticateDeviceRequest struct {
	// The device account details.
	Account *AccountDevice `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateDeviceRequest) Reset()                    { *m = AuthenticateDeviceRequest{} }
func (m *AuthenticateDeviceRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateDeviceRequest) ProtoMessage()               {}
func (*AuthenticateDeviceRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{10} }

func (m *AuthenticateDeviceRequest) GetAccount() *AccountDevice {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateDeviceRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateDeviceRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Authenticate against the server with email+password.
type AuthenticateEmailRequest struct {
	// The email account details.
	Account *AccountEmail `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateEmailRequest) Reset()                    { *m = AuthenticateEmailRequest{} }
func (m *AuthenticateEmailRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateEmailRequest) ProtoMessage()               {}
func (*AuthenticateEmailRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{11} }

func (m *AuthenticateEmailRequest) GetAccount() *AccountEmail {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateEmailRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateEmailRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Authenticate against the server with Facebook.
type AuthenticateFacebookRequest struct {
	// The Facebook account details.
	Account *AccountFacebook `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
	// Import Facebook friends for the user.
	Import *google_protobuf3.BoolValue `protobuf:"bytes,4,opt,name=import" json:"import,omitempty"`
}

func (m *AuthenticateFacebookRequest) Reset()                    { *m = AuthenticateFacebookRequest{} }
func (m *AuthenticateFacebookRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateFacebookRequest) ProtoMessage()               {}
func (*AuthenticateFacebookRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{12} }

func (m *AuthenticateFacebookRequest) GetAccount() *AccountFacebook {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateFacebookRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateFacebookRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *AuthenticateFacebookRequest) GetImport() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Import
	}
	return nil
}

// Authenticate against the server with Apple's Game Center.
type AuthenticateGameCenterRequest struct {
	// The Game Center account details.
	Account *AccountGameCenter `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateGameCenterRequest) Reset()                    { *m = AuthenticateGameCenterRequest{} }
func (m *AuthenticateGameCenterRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateGameCenterRequest) ProtoMessage()               {}
func (*AuthenticateGameCenterRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{13} }

func (m *AuthenticateGameCenterRequest) GetAccount() *AccountGameCenter {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateGameCenterRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateGameCenterRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Authenticate against the server with Google.
type AuthenticateGoogleRequest struct {
	// The Google account details.
	Account *AccountGoogle `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateGoogleRequest) Reset()                    { *m = AuthenticateGoogleRequest{} }
func (m *AuthenticateGoogleRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateGoogleRequest) ProtoMessage()               {}
func (*AuthenticateGoogleRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{14} }

func (m *AuthenticateGoogleRequest) GetAccount() *AccountGoogle {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateGoogleRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateGoogleRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Authenticate against the server with Steam.
type AuthenticateSteamRequest struct {
	// The Steam account details.
	Account *AccountSteam `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Register the account if the user does not already exist.
	Create *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=create" json:"create,omitempty"`
	// Set the username on the account at register. Must be unique.
	Username string `protobuf:"bytes,3,opt,name=username" json:"username,omitempty"`
}

func (m *AuthenticateSteamRequest) Reset()                    { *m = AuthenticateSteamRequest{} }
func (m *AuthenticateSteamRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthenticateSteamRequest) ProtoMessage()               {}
func (*AuthenticateSteamRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{15} }

func (m *AuthenticateSteamRequest) GetAccount() *AccountSteam {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *AuthenticateSteamRequest) GetCreate() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Create
	}
	return nil
}

func (m *AuthenticateSteamRequest) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

// Block one or more friends for the current user.
type BlockFriendsRequest struct {
	// The account id of a user.
	Ids []string `protobuf:"bytes,1,rep,name=ids" json:"ids,omitempty"`
	// The account username of a user.
	Usernames []string `protobuf:"bytes,2,rep,name=usernames" json:"usernames,omitempty"`
}

func (m *BlockFriendsRequest) Reset()                    { *m = BlockFriendsRequest{} }
func (m *BlockFriendsRequest) String() string            { return proto.CompactTextString(m) }
func (*BlockFriendsRequest) ProtoMessage()               {}
func (*BlockFriendsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{16} }

func (m *BlockFriendsRequest) GetIds() []string {
	if m != nil {
		return m.Ids
	}
	return nil
}

func (m *BlockFriendsRequest) GetUsernames() []string {
	if m != nil {
		return m.Usernames
	}
	return nil
}

// An identifier for a realtime chat channel.
type ChannelId struct {
	// The identifier for the realtime channel.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// The type of the chat channel.
	Type int32 `protobuf:"varint,2,opt,name=type" json:"type,omitempty"`
}

func (m *ChannelId) Reset()                    { *m = ChannelId{} }
func (m *ChannelId) String() string            { return proto.CompactTextString(m) }
func (*ChannelId) ProtoMessage()               {}
func (*ChannelId) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{17} }

func (m *ChannelId) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *ChannelId) GetType() int32 {
	if m != nil {
		return m.Type
	}
	return 0
}

// Create one or more groups with the current user as owner.
type CreateGroupsRequest struct {
	// The Group objects to create.
	Groups []*CreateGroupsRequest_NewGroup `protobuf:"bytes,1,rep,name=groups" json:"groups,omitempty"`
}

func (m *CreateGroupsRequest) Reset()                    { *m = CreateGroupsRequest{} }
func (m *CreateGroupsRequest) String() string            { return proto.CompactTextString(m) }
func (*CreateGroupsRequest) ProtoMessage()               {}
func (*CreateGroupsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{18} }

func (m *CreateGroupsRequest) GetGroups() []*CreateGroupsRequest_NewGroup {
	if m != nil {
		return m.Groups
	}
	return nil
}

// A group to create.
type CreateGroupsRequest_NewGroup struct {
	// A unique name for the group.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// A description for the group.
	Description string `protobuf:"bytes,2,opt,name=description" json:"description,omitempty"`
	// The language expected to be a tag which follows the BCP-47 spec.
	LangTag string `protobuf:"bytes,3,opt,name=lang_tag,json=langTag" json:"lang_tag,omitempty"`
	// Additional information stored as a JSON object.
	Metadata string `protobuf:"bytes,4,opt,name=metadata" json:"metadata,omitempty"`
	// A URL for an avatar image.
	AvatarUrl string `protobuf:"bytes,5,opt,name=avatar_url,json=avatarUrl" json:"avatar_url,omitempty"`
	// Mark a group as private where only admins can accept members.
	Private bool `protobuf:"varint,6,opt,name=private" json:"private,omitempty"`
}

func (m *CreateGroupsRequest_NewGroup) Reset()         { *m = CreateGroupsRequest_NewGroup{} }
func (m *CreateGroupsRequest_NewGroup) String() string { return proto.CompactTextString(m) }
func (*CreateGroupsRequest_NewGroup) ProtoMessage()    {}
func (*CreateGroupsRequest_NewGroup) Descriptor() ([]byte, []int) {
	return fileDescriptor0, []int{18, 0}
}

func (m *CreateGroupsRequest_NewGroup) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *CreateGroupsRequest_NewGroup) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *CreateGroupsRequest_NewGroup) GetLangTag() string {
	if m != nil {
		return m.LangTag
	}
	return ""
}

func (m *CreateGroupsRequest_NewGroup) GetMetadata() string {
	if m != nil {
		return m.Metadata
	}
	return ""
}

func (m *CreateGroupsRequest_NewGroup) GetAvatarUrl() string {
	if m != nil {
		return m.AvatarUrl
	}
	return ""
}

func (m *CreateGroupsRequest_NewGroup) GetPrivate() bool {
	if m != nil {
		return m.Private
	}
	return false
}

// Delete one or more friends for the current user.
type DeleteFriendsRequest struct {
	// The account id of a user.
	Ids []string `protobuf:"bytes,1,rep,name=ids" json:"ids,omitempty"`
	// The account username of a user.
	Usernames []string `protobuf:"bytes,2,rep,name=usernames" json:"usernames,omitempty"`
}

func (m *DeleteFriendsRequest) Reset()                    { *m = DeleteFriendsRequest{} }
func (m *DeleteFriendsRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteFriendsRequest) ProtoMessage()               {}
func (*DeleteFriendsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{19} }

func (m *DeleteFriendsRequest) GetIds() []string {
	if m != nil {
		return m.Ids
	}
	return nil
}

func (m *DeleteFriendsRequest) GetUsernames() []string {
	if m != nil {
		return m.Usernames
	}
	return nil
}

// Delete one or more notifications for the current user.
type DeleteNotificationsRequest struct {
	// The id of notifications.
	Ids []string `protobuf:"bytes,1,rep,name=ids" json:"ids,omitempty"`
}

func (m *DeleteNotificationsRequest) Reset()                    { *m = DeleteNotificationsRequest{} }
func (m *DeleteNotificationsRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteNotificationsRequest) ProtoMessage()               {}
func (*DeleteNotificationsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{20} }

func (m *DeleteNotificationsRequest) GetIds() []string {
	if m != nil {
		return m.Ids
	}
	return nil
}

// A friend of a user.
type Friend struct {
	// The user object.
	User *User `protobuf:"bytes,1,opt,name=user" json:"user,omitempty"`
	// The friend status.
	State int32 `protobuf:"varint,2,opt,name=state" json:"state,omitempty"`
}

func (m *Friend) Reset()                    { *m = Friend{} }
func (m *Friend) String() string            { return proto.CompactTextString(m) }
func (*Friend) ProtoMessage()               {}
func (*Friend) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{21} }

func (m *Friend) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *Friend) GetState() int32 {
	if m != nil {
		return m.State
	}
	return 0
}

// A collection of zero or more friends of the user.
type Friends struct {
	// The Friend objects.
	Friends []*Friend `protobuf:"bytes,1,rep,name=friends" json:"friends,omitempty"`
}

func (m *Friends) Reset()                    { *m = Friends{} }
func (m *Friends) String() string            { return proto.CompactTextString(m) }
func (*Friends) ProtoMessage()               {}
func (*Friends) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{22} }

func (m *Friends) GetFriends() []*Friend {
	if m != nil {
		return m.Friends
	}
	return nil
}

// Fetch a batch of zero or more users from the server.
type GetUsersRequest struct {
	// The account id of a user.
	Ids []string `protobuf:"bytes,1,rep,name=ids" json:"ids,omitempty"`
	// The account username of a user.
	Usernames []string `protobuf:"bytes,2,rep,name=usernames" json:"usernames,omitempty"`
	// The Facebook ID of a user.
	FacebookIds []string `protobuf:"bytes,3,rep,name=facebook_ids,json=facebookIds" json:"facebook_ids,omitempty"`
}

func (m *GetUsersRequest) Reset()                    { *m = GetUsersRequest{} }
func (m *GetUsersRequest) String() string            { return proto.CompactTextString(m) }
func (*GetUsersRequest) ProtoMessage()               {}
func (*GetUsersRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{23} }

func (m *GetUsersRequest) GetIds() []string {
	if m != nil {
		return m.Ids
	}
	return nil
}

func (m *GetUsersRequest) GetUsernames() []string {
	if m != nil {
		return m.Usernames
	}
	return nil
}

func (m *GetUsersRequest) GetFacebookIds() []string {
	if m != nil {
		return m.FacebookIds
	}
	return nil
}

// A group in the server.
type Group struct {
	// The id of a group.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// The id of the user who created the group.
	CreatorId string `protobuf:"bytes,2,opt,name=creator_id,json=creatorId" json:"creator_id,omitempty"`
	// The unique name of the group.
	Name string `protobuf:"bytes,3,opt,name=name" json:"name,omitempty"`
	// A description for the group.
	Description string `protobuf:"bytes,4,opt,name=description" json:"description,omitempty"`
	// The language expected to be a tag which follows the BCP-47 spec.
	LangTag string `protobuf:"bytes,5,opt,name=lang_tag,json=langTag" json:"lang_tag,omitempty"`
	// Additional information stored as a JSON object.
	Metadata string `protobuf:"bytes,6,opt,name=metadata" json:"metadata,omitempty"`
	// A URL for an avatar image.
	AvatarUrl string `protobuf:"bytes,7,opt,name=avatar_url,json=avatarUrl" json:"avatar_url,omitempty"`
	// Mark a group as private where only admins can accept members.
	Private bool `protobuf:"varint,8,opt,name=private" json:"private,omitempty"`
	// The current count of all members in the group.
	Count int64 `protobuf:"varint,9,opt,name=count" json:"count,omitempty"`
	// The UTC offset in milliseconds.
	UtcOffsetMs int64 `protobuf:"varint,10,opt,name=utc_offset_ms,json=utcOffsetMs" json:"utc_offset_ms,omitempty"`
	// The UNIX time when the group was created.
	CreateTime *google_protobuf2.Timestamp `protobuf:"bytes,11,opt,name=create_time,json=createTime" json:"create_time,omitempty"`
	// The UNIX time when the group was last updated.
	UpdateTime *google_protobuf2.Timestamp `protobuf:"bytes,12,opt,name=update_time,json=updateTime" json:"update_time,omitempty"`
}

func (m *Group) Reset()                    { *m = Group{} }
func (m *Group) String() string            { return proto.CompactTextString(m) }
func (*Group) ProtoMessage()               {}
func (*Group) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{24} }

func (m *Group) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Group) GetCreatorId() string {
	if m != nil {
		return m.CreatorId
	}
	return ""
}

func (m *Group) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Group) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Group) GetLangTag() string {
	if m != nil {
		return m.LangTag
	}
	return ""
}

func (m *Group) GetMetadata() string {
	if m != nil {
		return m.Metadata
	}
	return ""
}

func (m *Group) GetAvatarUrl() string {
	if m != nil {
		return m.AvatarUrl
	}
	return ""
}

func (m *Group) GetPrivate() bool {
	if m != nil {
		return m.Private
	}
	return false
}

func (m *Group) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

func (m *Group) GetUtcOffsetMs() int64 {
	if m != nil {
		return m.UtcOffsetMs
	}
	return 0
}

func (m *Group) GetCreateTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.CreateTime
	}
	return nil
}

func (m *Group) GetUpdateTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.UpdateTime
	}
	return nil
}

// A collection of zero or more groups.
type Groups struct {
	// The Group objects.
	Groups []*Group `protobuf:"bytes,1,rep,name=groups" json:"groups,omitempty"`
}

func (m *Groups) Reset()                    { *m = Groups{} }
func (m *Groups) String() string            { return proto.CompactTextString(m) }
func (*Groups) ProtoMessage()               {}
func (*Groups) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{25} }

func (m *Groups) GetGroups() []*Group {
	if m != nil {
		return m.Groups
	}
	return nil
}

// Import Facebook friends into the current user's account.
type ImportFacebookFriendsRequest struct {
	// The Facebook account details.
	Account *AccountFacebook `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Reset the current user's friends list.
	Reset_ *google_protobuf3.BoolValue `protobuf:"bytes,2,opt,name=reset" json:"reset,omitempty"`
}

func (m *ImportFacebookFriendsRequest) Reset()                    { *m = ImportFacebookFriendsRequest{} }
func (m *ImportFacebookFriendsRequest) String() string            { return proto.CompactTextString(m) }
func (*ImportFacebookFriendsRequest) ProtoMessage()               {}
func (*ImportFacebookFriendsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{26} }

func (m *ImportFacebookFriendsRequest) GetAccount() *AccountFacebook {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *ImportFacebookFriendsRequest) GetReset_() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Reset_
	}
	return nil
}

// Link Facebook to the current user's account.
type LinkFacebookRequest struct {
	// The Facebook account details.
	Account *AccountFacebook `protobuf:"bytes,1,opt,name=account" json:"account,omitempty"`
	// Import Facebook friends for the user.
	Import *google_protobuf3.BoolValue `protobuf:"bytes,4,opt,name=import" json:"import,omitempty"`
}

func (m *LinkFacebookRequest) Reset()                    { *m = LinkFacebookRequest{} }
func (m *LinkFacebookRequest) String() string            { return proto.CompactTextString(m) }
func (*LinkFacebookRequest) ProtoMessage()               {}
func (*LinkFacebookRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{27} }

func (m *LinkFacebookRequest) GetAccount() *AccountFacebook {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *LinkFacebookRequest) GetImport() *google_protobuf3.BoolValue {
	if m != nil {
		return m.Import
	}
	return nil
}

// Fetch a list of unexpired notifications.
type ListNotificationsRequest struct {
	// Max number of notifications to list. Between 1 and 100.
	Limit int64 `protobuf:"varint,1,opt,name=limit" json:"limit,omitempty"`
	// Use this cursor to paginate notifications. Cache this to catch up to new notifications. The value of this comes from NotificationList.cacheable_cursor.
	CacheableCursor string `protobuf:"bytes,2,opt,name=cacheable_cursor,json=cacheableCursor" json:"cacheable_cursor,omitempty"`
}

func (m *ListNotificationsRequest) Reset()                    { *m = ListNotificationsRequest{} }
func (m *ListNotificationsRequest) String() string            { return proto.CompactTextString(m) }
func (*ListNotificationsRequest) ProtoMessage()               {}
func (*ListNotificationsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{28} }

func (m *ListNotificationsRequest) GetLimit() int64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

func (m *ListNotificationsRequest) GetCacheableCursor() string {
	if m != nil {
		return m.CacheableCursor
	}
	return ""
}

// A notification in the server.
type Notification struct {
	// ID of the Notification.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// Subject of the notification.
	Subject string `protobuf:"bytes,2,opt,name=subject" json:"subject,omitempty"`
	// Content of the notification in JSON.
	Content string `protobuf:"bytes,3,opt,name=content" json:"content,omitempty"`
	// Category code for this notification.
	Code int64 `protobuf:"varint,4,opt,name=code" json:"code,omitempty"`
	// ID of the sender, if a user. Otherwise 'null'.
	SenderId string `protobuf:"bytes,5,opt,name=sender_id,json=senderId" json:"sender_id,omitempty"`
	// The UNIX time when the notification was created.
	CreateTime *google_protobuf2.Timestamp `protobuf:"bytes,6,opt,name=create_time,json=createTime" json:"create_time,omitempty"`
	// True if this notification was persisted to the database.
	Persistent bool `protobuf:"varint,7,opt,name=persistent" json:"persistent,omitempty"`
}

func (m *Notification) Reset()                    { *m = Notification{} }
func (m *Notification) String() string            { return proto.CompactTextString(m) }
func (*Notification) ProtoMessage()               {}
func (*Notification) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{29} }

func (m *Notification) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Notification) GetSubject() string {
	if m != nil {
		return m.Subject
	}
	return ""
}

func (m *Notification) GetContent() string {
	if m != nil {
		return m.Content
	}
	return ""
}

func (m *Notification) GetCode() int64 {
	if m != nil {
		return m.Code
	}
	return 0
}

func (m *Notification) GetSenderId() string {
	if m != nil {
		return m.SenderId
	}
	return ""
}

func (m *Notification) GetCreateTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.CreateTime
	}
	return nil
}

func (m *Notification) GetPersistent() bool {
	if m != nil {
		return m.Persistent
	}
	return false
}

// A collection of zero or more notifications.
type NotificationList struct {
	// Collection of notifications.
	Notifications []*Notification `protobuf:"bytes,1,rep,name=notifications" json:"notifications,omitempty"`
	// Use this cursor to paginate notifications. Cache this to catch up to new notifications.
	CacheableCursor string `protobuf:"bytes,2,opt,name=cacheable_cursor,json=cacheableCursor" json:"cacheable_cursor,omitempty"`
}

func (m *NotificationList) Reset()                    { *m = NotificationList{} }
func (m *NotificationList) String() string            { return proto.CompactTextString(m) }
func (*NotificationList) ProtoMessage()               {}
func (*NotificationList) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{30} }

func (m *NotificationList) GetNotifications() []*Notification {
	if m != nil {
		return m.Notifications
	}
	return nil
}

func (m *NotificationList) GetCacheableCursor() string {
	if m != nil {
		return m.CacheableCursor
	}
	return ""
}

// Execute an Lua function on the server.
type Rpc struct {
	// The identifier of the function.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// The payload of the function which must be a JSON object.
	Payload *google_protobuf3.StringValue `protobuf:"bytes,2,opt,name=payload" json:"payload,omitempty"`
	// The authentication key used when executed as a non-client HTTP request.
	HttpKey *google_protobuf3.StringValue `protobuf:"bytes,3,opt,name=http_key,json=httpKey" json:"http_key,omitempty"`
}

func (m *Rpc) Reset()                    { *m = Rpc{} }
func (m *Rpc) String() string            { return proto.CompactTextString(m) }
func (*Rpc) ProtoMessage()               {}
func (*Rpc) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{31} }

func (m *Rpc) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Rpc) GetPayload() *google_protobuf3.StringValue {
	if m != nil {
		return m.Payload
	}
	return nil
}

func (m *Rpc) GetHttpKey() *google_protobuf3.StringValue {
	if m != nil {
		return m.HttpKey
	}
	return nil
}

// A user's session used to authenticate messages.
type Session struct {
	// Authentication credentials.
	Token string `protobuf:"bytes,1,opt,name=token" json:"token,omitempty"`
	// rUDP specific authentication credentials.
	UdpToken string `protobuf:"bytes,2,opt,name=udp_token,json=udpToken" json:"udp_token,omitempty"`
}

func (m *Session) Reset()                    { *m = Session{} }
func (m *Session) String() string            { return proto.CompactTextString(m) }
func (*Session) ProtoMessage()               {}
func (*Session) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{32} }

func (m *Session) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *Session) GetUdpToken() string {
	if m != nil {
		return m.UdpToken
	}
	return ""
}

// Update a user's account details.
type UpdateAccountRequest struct {
	// The username of the user's account.
	Username *google_protobuf3.StringValue `protobuf:"bytes,1,opt,name=username" json:"username,omitempty"`
	// The display name of the user.
	DisplayName *google_protobuf3.StringValue `protobuf:"bytes,2,opt,name=display_name,json=displayName" json:"display_name,omitempty"`
	// A URL for an avatar image.
	AvatarUrl *google_protobuf3.StringValue `protobuf:"bytes,3,opt,name=avatar_url,json=avatarUrl" json:"avatar_url,omitempty"`
	// The language expected to be a tag which follows the BCP-47 spec.
	LangTag *google_protobuf3.StringValue `protobuf:"bytes,4,opt,name=lang_tag,json=langTag" json:"lang_tag,omitempty"`
	// The location set by the user.
	Location *google_protobuf3.StringValue `protobuf:"bytes,5,opt,name=location" json:"location,omitempty"`
	// The timezone set by the user.
	Timezone *google_protobuf3.StringValue `protobuf:"bytes,6,opt,name=timezone" json:"timezone,omitempty"`
}

func (m *UpdateAccountRequest) Reset()                    { *m = UpdateAccountRequest{} }
func (m *UpdateAccountRequest) String() string            { return proto.CompactTextString(m) }
func (*UpdateAccountRequest) ProtoMessage()               {}
func (*UpdateAccountRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{33} }

func (m *UpdateAccountRequest) GetUsername() *google_protobuf3.StringValue {
	if m != nil {
		return m.Username
	}
	return nil
}

func (m *UpdateAccountRequest) GetDisplayName() *google_protobuf3.StringValue {
	if m != nil {
		return m.DisplayName
	}
	return nil
}

func (m *UpdateAccountRequest) GetAvatarUrl() *google_protobuf3.StringValue {
	if m != nil {
		return m.AvatarUrl
	}
	return nil
}

func (m *UpdateAccountRequest) GetLangTag() *google_protobuf3.StringValue {
	if m != nil {
		return m.LangTag
	}
	return nil
}

func (m *UpdateAccountRequest) GetLocation() *google_protobuf3.StringValue {
	if m != nil {
		return m.Location
	}
	return nil
}

func (m *UpdateAccountRequest) GetTimezone() *google_protobuf3.StringValue {
	if m != nil {
		return m.Timezone
	}
	return nil
}

// A user in the server.
type User struct {
	// The id of the user's account.
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// The username of the user's account.
	Username string `protobuf:"bytes,2,opt,name=username" json:"username,omitempty"`
	// The display name of the user.
	DisplayName string `protobuf:"bytes,3,opt,name=display_name,json=displayName" json:"display_name,omitempty"`
	// A URL for an avatar image.
	AvatarUrl string `protobuf:"bytes,4,opt,name=avatar_url,json=avatarUrl" json:"avatar_url,omitempty"`
	// The language expected to be a tag which follows the BCP-47 spec.
	LangTag string `protobuf:"bytes,5,opt,name=lang_tag,json=langTag" json:"lang_tag,omitempty"`
	// The location set by the user.
	Location string `protobuf:"bytes,6,opt,name=location" json:"location,omitempty"`
	// The timezone set by the user.
	Timezone string `protobuf:"bytes,7,opt,name=timezone" json:"timezone,omitempty"`
	// Additional information stored as a JSON object.
	Metadata string `protobuf:"bytes,8,opt,name=metadata" json:"metadata,omitempty"`
	// The Facebook id in the user's account.
	FacebookId string `protobuf:"bytes,9,opt,name=facebook_id,json=facebookId" json:"facebook_id,omitempty"`
	// The Google id in the user's account.
	GoogleId string `protobuf:"bytes,10,opt,name=google_id,json=googleId" json:"google_id,omitempty"`
	// The Apple Game Center in of the user's account.
	GamecenterId string `protobuf:"bytes,11,opt,name=gamecenter_id,json=gamecenterId" json:"gamecenter_id,omitempty"`
	// The Steam id in the user's account.
	SteamId string `protobuf:"bytes,12,opt,name=steam_id,json=steamId" json:"steam_id,omitempty"`
	// Indicates whether the user is currently online.
	Online bool `protobuf:"varint,13,opt,name=online" json:"online,omitempty"`
	// The UNIX time when the user was created.
	CreateTime *google_protobuf2.Timestamp `protobuf:"bytes,14,opt,name=create_time,json=createTime" json:"create_time,omitempty"`
	// The UNIX time when the user was last updated.
	UpdateTime *google_protobuf2.Timestamp `protobuf:"bytes,15,opt,name=update_time,json=updateTime" json:"update_time,omitempty"`
}

func (m *User) Reset()                    { *m = User{} }
func (m *User) String() string            { return proto.CompactTextString(m) }
func (*User) ProtoMessage()               {}
func (*User) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{34} }

func (m *User) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *User) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *User) GetDisplayName() string {
	if m != nil {
		return m.DisplayName
	}
	return ""
}

func (m *User) GetAvatarUrl() string {
	if m != nil {
		return m.AvatarUrl
	}
	return ""
}

func (m *User) GetLangTag() string {
	if m != nil {
		return m.LangTag
	}
	return ""
}

func (m *User) GetLocation() string {
	if m != nil {
		return m.Location
	}
	return ""
}

func (m *User) GetTimezone() string {
	if m != nil {
		return m.Timezone
	}
	return ""
}

func (m *User) GetMetadata() string {
	if m != nil {
		return m.Metadata
	}
	return ""
}

func (m *User) GetFacebookId() string {
	if m != nil {
		return m.FacebookId
	}
	return ""
}

func (m *User) GetGoogleId() string {
	if m != nil {
		return m.GoogleId
	}
	return ""
}

func (m *User) GetGamecenterId() string {
	if m != nil {
		return m.GamecenterId
	}
	return ""
}

func (m *User) GetSteamId() string {
	if m != nil {
		return m.SteamId
	}
	return ""
}

func (m *User) GetOnline() bool {
	if m != nil {
		return m.Online
	}
	return false
}

func (m *User) GetCreateTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.CreateTime
	}
	return nil
}

func (m *User) GetUpdateTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.UpdateTime
	}
	return nil
}

// A collection of zero or more users.
type Users struct {
	// The User objects.
	Users []*User `protobuf:"bytes,1,rep,name=users" json:"users,omitempty"`
}

func (m *Users) Reset()                    { *m = Users{} }
func (m *Users) String() string            { return proto.CompactTextString(m) }
func (*Users) ProtoMessage()               {}
func (*Users) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{35} }

func (m *Users) GetUsers() []*User {
	if m != nil {
		return m.Users
	}
	return nil
}

func init() {
	proto.RegisterType((*Account)(nil), "nakama.api.Account")
	proto.RegisterType((*AccountCustom)(nil), "nakama.api.AccountCustom")
	proto.RegisterType((*AccountDevice)(nil), "nakama.api.AccountDevice")
	proto.RegisterType((*AccountEmail)(nil), "nakama.api.AccountEmail")
	proto.RegisterType((*AccountFacebook)(nil), "nakama.api.AccountFacebook")
	proto.RegisterType((*AccountGameCenter)(nil), "nakama.api.AccountGameCenter")
	proto.RegisterType((*AccountGoogle)(nil), "nakama.api.AccountGoogle")
	proto.RegisterType((*AccountSteam)(nil), "nakama.api.AccountSteam")
	proto.RegisterType((*AddFriendsRequest)(nil), "nakama.api.AddFriendsRequest")
	proto.RegisterType((*AuthenticateCustomRequest)(nil), "nakama.api.AuthenticateCustomRequest")
	proto.RegisterType((*AuthenticateDeviceRequest)(nil), "nakama.api.AuthenticateDeviceRequest")
	proto.RegisterType((*AuthenticateEmailRequest)(nil), "nakama.api.AuthenticateEmailRequest")
	proto.RegisterType((*AuthenticateFacebookRequest)(nil), "nakama.api.AuthenticateFacebookRequest")
	proto.RegisterType((*AuthenticateGameCenterRequest)(nil), "nakama.api.AuthenticateGameCenterRequest")
	proto.RegisterType((*AuthenticateGoogleRequest)(nil), "nakama.api.AuthenticateGoogleRequest")
	proto.RegisterType((*AuthenticateSteamRequest)(nil), "nakama.api.AuthenticateSteamRequest")
	proto.RegisterType((*BlockFriendsRequest)(nil), "nakama.api.BlockFriendsRequest")
	proto.RegisterType((*ChannelId)(nil), "nakama.api.ChannelId")
	proto.RegisterType((*CreateGroupsRequest)(nil), "nakama.api.CreateGroupsRequest")
	proto.RegisterType((*CreateGroupsRequest_NewGroup)(nil), "nakama.api.CreateGroupsRequest.NewGroup")
	proto.RegisterType((*DeleteFriendsRequest)(nil), "nakama.api.DeleteFriendsRequest")
	proto.RegisterType((*DeleteNotificationsRequest)(nil), "nakama.api.DeleteNotificationsRequest")
	proto.RegisterType((*Friend)(nil), "nakama.api.Friend")
	proto.RegisterType((*Friends)(nil), "nakama.api.Friends")
	proto.RegisterType((*GetUsersRequest)(nil), "nakama.api.GetUsersRequest")
	proto.RegisterType((*Group)(nil), "nakama.api.Group")
	proto.RegisterType((*Groups)(nil), "nakama.api.Groups")
	proto.RegisterType((*ImportFacebookFriendsRequest)(nil), "nakama.api.ImportFacebookFriendsRequest")
	proto.RegisterType((*LinkFacebookRequest)(nil), "nakama.api.LinkFacebookRequest")
	proto.RegisterType((*ListNotificationsRequest)(nil), "nakama.api.ListNotificationsRequest")
	proto.RegisterType((*Notification)(nil), "nakama.api.Notification")
	proto.RegisterType((*NotificationList)(nil), "nakama.api.NotificationList")
	proto.RegisterType((*Rpc)(nil), "nakama.api.Rpc")
	proto.RegisterType((*Session)(nil), "nakama.api.Session")
	proto.RegisterType((*UpdateAccountRequest)(nil), "nakama.api.UpdateAccountRequest")
	proto.RegisterType((*User)(nil), "nakama.api.User")
	proto.RegisterType((*Users)(nil), "nakama.api.Users")
	proto.RegisterEnum("nakama.api.ChannelId_Type", ChannelId_Type_name, ChannelId_Type_value)
	proto.RegisterEnum("nakama.api.Friend_State", Friend_State_name, Friend_State_value)
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for Nakama service

type NakamaClient interface {
	// Add friends by ID or username to a user's account.
	AddFriends(ctx context.Context, in *AddFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Authenticate a user with a custom id against the server.
	AuthenticateCustom(ctx context.Context, in *AuthenticateCustomRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with a device id against the server.
	AuthenticateDevice(ctx context.Context, in *AuthenticateDeviceRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with an email+password against the server.
	AuthenticateEmail(ctx context.Context, in *AuthenticateEmailRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with a Facebook OAuth token against the server.
	AuthenticateFacebook(ctx context.Context, in *AuthenticateFacebookRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with Apple's GameCenter against the server.
	AuthenticateGameCenter(ctx context.Context, in *AuthenticateGameCenterRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with Google against the server.
	AuthenticateGoogle(ctx context.Context, in *AuthenticateGoogleRequest, opts ...grpc.CallOption) (*Session, error)
	// Authenticate a user with Steam against the server.
	AuthenticateSteam(ctx context.Context, in *AuthenticateSteamRequest, opts ...grpc.CallOption) (*Session, error)
	// Block one or more users by ID or username.
	BlockFriends(ctx context.Context, in *BlockFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Create one or more new groups with the current user as the owner.
	CreateGroup(ctx context.Context, in *CreateGroupsRequest, opts ...grpc.CallOption) (*Groups, error)
	// Delete one or more users by ID or username.
	DeleteFriends(ctx context.Context, in *DeleteFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Delete one or more users by ID or username.
	DeleteNotifications(ctx context.Context, in *DeleteNotificationsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Fetch the current user's account.
	GetAccount(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*Account, error)
	// Fetch zero or more users by ID and/or username.
	GetUsers(ctx context.Context, in *GetUsersRequest, opts ...grpc.CallOption) (*Users, error)
	// A healthcheck which load balancers can use to check the service.
	Healthcheck(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Import Facebook friends and add them to a user's account.
	ImportFacebookFriends(ctx context.Context, in *ImportFacebookFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add a custom ID to the social profiles on the current user's account.
	LinkCustom(ctx context.Context, in *AccountCustom, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add a device ID to the social profiles on the current user's account.
	LinkDevice(ctx context.Context, in *AccountDevice, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add an email+password to the social profiles on the current user's account.
	LinkEmail(ctx context.Context, in *AccountEmail, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add Facebook to the social profiles on the current user's account.
	LinkFacebook(ctx context.Context, in *LinkFacebookRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add Apple's GameCenter to the social profiles on the current user's account.
	LinkGameCenter(ctx context.Context, in *AccountGameCenter, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add Google to the social profiles on the current user's account.
	LinkGoogle(ctx context.Context, in *AccountGoogle, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Add Steam to the social profiles on the current user's account.
	LinkSteam(ctx context.Context, in *AccountSteam, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// List all friends for the current user.
	ListFriends(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*Friends, error)
	// Fetch list of notifications.
	ListNotifications(ctx context.Context, in *ListNotificationsRequest, opts ...grpc.CallOption) (*NotificationList, error)
	// Execute a Lua function on the server.
	RpcFunc(ctx context.Context, in *Rpc, opts ...grpc.CallOption) (*Rpc, error)
	// Remove the custom ID from the social profiles on the current user's account.
	UnlinkCustom(ctx context.Context, in *AccountCustom, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove the device ID from the social profiles on the current user's account.
	UnlinkDevice(ctx context.Context, in *AccountDevice, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove the email+password from the social profiles on the current user's account.
	UnlinkEmail(ctx context.Context, in *AccountEmail, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove Facebook from the social profiles on the current user's account.
	UnlinkFacebook(ctx context.Context, in *AccountFacebook, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove Apple's GameCenter from the social profiles on the current user's account.
	UnlinkGameCenter(ctx context.Context, in *AccountGameCenter, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove Google from the social profiles on the current user's account.
	UnlinkGoogle(ctx context.Context, in *AccountGoogle, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Remove Steam from the social profiles on the current user's account.
	UnlinkSteam(ctx context.Context, in *AccountSteam, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
	// Update fields in the current user's account.
	UpdateAccount(ctx context.Context, in *UpdateAccountRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error)
}

type nakamaClient struct {
	cc *grpc.ClientConn
}

func NewNakamaClient(cc *grpc.ClientConn) NakamaClient {
	return &nakamaClient{cc}
}

func (c *nakamaClient) AddFriends(ctx context.Context, in *AddFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AddFriends", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateCustom(ctx context.Context, in *AuthenticateCustomRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateCustom", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateDevice(ctx context.Context, in *AuthenticateDeviceRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateDevice", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateEmail(ctx context.Context, in *AuthenticateEmailRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateEmail", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateFacebook(ctx context.Context, in *AuthenticateFacebookRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateFacebook", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateGameCenter(ctx context.Context, in *AuthenticateGameCenterRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateGameCenter", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateGoogle(ctx context.Context, in *AuthenticateGoogleRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateGoogle", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) AuthenticateSteam(ctx context.Context, in *AuthenticateSteamRequest, opts ...grpc.CallOption) (*Session, error) {
	out := new(Session)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/AuthenticateSteam", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) BlockFriends(ctx context.Context, in *BlockFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/BlockFriends", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) CreateGroup(ctx context.Context, in *CreateGroupsRequest, opts ...grpc.CallOption) (*Groups, error) {
	out := new(Groups)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/CreateGroup", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) DeleteFriends(ctx context.Context, in *DeleteFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/DeleteFriends", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) DeleteNotifications(ctx context.Context, in *DeleteNotificationsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/DeleteNotifications", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) GetAccount(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*Account, error) {
	out := new(Account)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/GetAccount", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) GetUsers(ctx context.Context, in *GetUsersRequest, opts ...grpc.CallOption) (*Users, error) {
	out := new(Users)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/GetUsers", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) Healthcheck(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/Healthcheck", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) ImportFacebookFriends(ctx context.Context, in *ImportFacebookFriendsRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/ImportFacebookFriends", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkCustom(ctx context.Context, in *AccountCustom, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkCustom", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkDevice(ctx context.Context, in *AccountDevice, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkDevice", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkEmail(ctx context.Context, in *AccountEmail, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkEmail", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkFacebook(ctx context.Context, in *LinkFacebookRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkFacebook", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkGameCenter(ctx context.Context, in *AccountGameCenter, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkGameCenter", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkGoogle(ctx context.Context, in *AccountGoogle, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkGoogle", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) LinkSteam(ctx context.Context, in *AccountSteam, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/LinkSteam", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) ListFriends(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (*Friends, error) {
	out := new(Friends)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/ListFriends", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) ListNotifications(ctx context.Context, in *ListNotificationsRequest, opts ...grpc.CallOption) (*NotificationList, error) {
	out := new(NotificationList)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/ListNotifications", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) RpcFunc(ctx context.Context, in *Rpc, opts ...grpc.CallOption) (*Rpc, error) {
	out := new(Rpc)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/RpcFunc", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkCustom(ctx context.Context, in *AccountCustom, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkCustom", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkDevice(ctx context.Context, in *AccountDevice, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkDevice", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkEmail(ctx context.Context, in *AccountEmail, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkEmail", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkFacebook(ctx context.Context, in *AccountFacebook, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkFacebook", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkGameCenter(ctx context.Context, in *AccountGameCenter, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkGameCenter", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkGoogle(ctx context.Context, in *AccountGoogle, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkGoogle", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UnlinkSteam(ctx context.Context, in *AccountSteam, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UnlinkSteam", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *nakamaClient) UpdateAccount(ctx context.Context, in *UpdateAccountRequest, opts ...grpc.CallOption) (*google_protobuf1.Empty, error) {
	out := new(google_protobuf1.Empty)
	err := grpc.Invoke(ctx, "/nakama.api.Nakama/UpdateAccount", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Nakama service

type NakamaServer interface {
	// Add friends by ID or username to a user's account.
	AddFriends(context.Context, *AddFriendsRequest) (*google_protobuf1.Empty, error)
	// Authenticate a user with a custom id against the server.
	AuthenticateCustom(context.Context, *AuthenticateCustomRequest) (*Session, error)
	// Authenticate a user with a device id against the server.
	AuthenticateDevice(context.Context, *AuthenticateDeviceRequest) (*Session, error)
	// Authenticate a user with an email+password against the server.
	AuthenticateEmail(context.Context, *AuthenticateEmailRequest) (*Session, error)
	// Authenticate a user with a Facebook OAuth token against the server.
	AuthenticateFacebook(context.Context, *AuthenticateFacebookRequest) (*Session, error)
	// Authenticate a user with Apple's GameCenter against the server.
	AuthenticateGameCenter(context.Context, *AuthenticateGameCenterRequest) (*Session, error)
	// Authenticate a user with Google against the server.
	AuthenticateGoogle(context.Context, *AuthenticateGoogleRequest) (*Session, error)
	// Authenticate a user with Steam against the server.
	AuthenticateSteam(context.Context, *AuthenticateSteamRequest) (*Session, error)
	// Block one or more users by ID or username.
	BlockFriends(context.Context, *BlockFriendsRequest) (*google_protobuf1.Empty, error)
	// Create one or more new groups with the current user as the owner.
	CreateGroup(context.Context, *CreateGroupsRequest) (*Groups, error)
	// Delete one or more users by ID or username.
	DeleteFriends(context.Context, *DeleteFriendsRequest) (*google_protobuf1.Empty, error)
	// Delete one or more users by ID or username.
	DeleteNotifications(context.Context, *DeleteNotificationsRequest) (*google_protobuf1.Empty, error)
	// Fetch the current user's account.
	GetAccount(context.Context, *google_protobuf1.Empty) (*Account, error)
	// Fetch zero or more users by ID and/or username.
	GetUsers(context.Context, *GetUsersRequest) (*Users, error)
	// A healthcheck which load balancers can use to check the service.
	Healthcheck(context.Context, *google_protobuf1.Empty) (*google_protobuf1.Empty, error)
	// Import Facebook friends and add them to a user's account.
	ImportFacebookFriends(context.Context, *ImportFacebookFriendsRequest) (*google_protobuf1.Empty, error)
	// Add a custom ID to the social profiles on the current user's account.
	LinkCustom(context.Context, *AccountCustom) (*google_protobuf1.Empty, error)
	// Add a device ID to the social profiles on the current user's account.
	LinkDevice(context.Context, *AccountDevice) (*google_protobuf1.Empty, error)
	// Add an email+password to the social profiles on the current user's account.
	LinkEmail(context.Context, *AccountEmail) (*google_protobuf1.Empty, error)
	// Add Facebook to the social profiles on the current user's account.
	LinkFacebook(context.Context, *LinkFacebookRequest) (*google_protobuf1.Empty, error)
	// Add Apple's GameCenter to the social profiles on the current user's account.
	LinkGameCenter(context.Context, *AccountGameCenter) (*google_protobuf1.Empty, error)
	// Add Google to the social profiles on the current user's account.
	LinkGoogle(context.Context, *AccountGoogle) (*google_protobuf1.Empty, error)
	// Add Steam to the social profiles on the current user's account.
	LinkSteam(context.Context, *AccountSteam) (*google_protobuf1.Empty, error)
	// List all friends for the current user.
	ListFriends(context.Context, *google_protobuf1.Empty) (*Friends, error)
	// Fetch list of notifications.
	ListNotifications(context.Context, *ListNotificationsRequest) (*NotificationList, error)
	// Execute a Lua function on the server.
	RpcFunc(context.Context, *Rpc) (*Rpc, error)
	// Remove the custom ID from the social profiles on the current user's account.
	UnlinkCustom(context.Context, *AccountCustom) (*google_protobuf1.Empty, error)
	// Remove the device ID from the social profiles on the current user's account.
	UnlinkDevice(context.Context, *AccountDevice) (*google_protobuf1.Empty, error)
	// Remove the email+password from the social profiles on the current user's account.
	UnlinkEmail(context.Context, *AccountEmail) (*google_protobuf1.Empty, error)
	// Remove Facebook from the social profiles on the current user's account.
	UnlinkFacebook(context.Context, *AccountFacebook) (*google_protobuf1.Empty, error)
	// Remove Apple's GameCenter from the social profiles on the current user's account.
	UnlinkGameCenter(context.Context, *AccountGameCenter) (*google_protobuf1.Empty, error)
	// Remove Google from the social profiles on the current user's account.
	UnlinkGoogle(context.Context, *AccountGoogle) (*google_protobuf1.Empty, error)
	// Remove Steam from the social profiles on the current user's account.
	UnlinkSteam(context.Context, *AccountSteam) (*google_protobuf1.Empty, error)
	// Update fields in the current user's account.
	UpdateAccount(context.Context, *UpdateAccountRequest) (*google_protobuf1.Empty, error)
}

func RegisterNakamaServer(s *grpc.Server, srv NakamaServer) {
	s.RegisterService(&_Nakama_serviceDesc, srv)
}

func _Nakama_AddFriends_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddFriendsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AddFriends(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AddFriends",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AddFriends(ctx, req.(*AddFriendsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateCustom_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateCustomRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateCustom(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateCustom",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateCustom(ctx, req.(*AuthenticateCustomRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateDeviceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateDevice(ctx, req.(*AuthenticateDeviceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateEmail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateEmailRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateEmail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateEmail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateEmail(ctx, req.(*AuthenticateEmailRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateFacebook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateFacebookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateFacebook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateFacebook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateFacebook(ctx, req.(*AuthenticateFacebookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateGameCenter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateGameCenterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateGameCenter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateGameCenter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateGameCenter(ctx, req.(*AuthenticateGameCenterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateGoogle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateGoogleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateGoogle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateGoogle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateGoogle(ctx, req.(*AuthenticateGoogleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_AuthenticateSteam_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AuthenticateSteamRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).AuthenticateSteam(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/AuthenticateSteam",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).AuthenticateSteam(ctx, req.(*AuthenticateSteamRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_BlockFriends_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BlockFriendsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).BlockFriends(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/BlockFriends",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).BlockFriends(ctx, req.(*BlockFriendsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_CreateGroup_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateGroupsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).CreateGroup(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/CreateGroup",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).CreateGroup(ctx, req.(*CreateGroupsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_DeleteFriends_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteFriendsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).DeleteFriends(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/DeleteFriends",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).DeleteFriends(ctx, req.(*DeleteFriendsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_DeleteNotifications_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteNotificationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).DeleteNotifications(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/DeleteNotifications",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).DeleteNotifications(ctx, req.(*DeleteNotificationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_GetAccount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(google_protobuf1.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).GetAccount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/GetAccount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).GetAccount(ctx, req.(*google_protobuf1.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_GetUsers_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUsersRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).GetUsers(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/GetUsers",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).GetUsers(ctx, req.(*GetUsersRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_Healthcheck_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(google_protobuf1.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).Healthcheck(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/Healthcheck",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).Healthcheck(ctx, req.(*google_protobuf1.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_ImportFacebookFriends_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ImportFacebookFriendsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).ImportFacebookFriends(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/ImportFacebookFriends",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).ImportFacebookFriends(ctx, req.(*ImportFacebookFriendsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkCustom_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountCustom)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkCustom(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkCustom",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkCustom(ctx, req.(*AccountCustom))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountDevice)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkDevice(ctx, req.(*AccountDevice))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkEmail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountEmail)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkEmail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkEmail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkEmail(ctx, req.(*AccountEmail))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkFacebook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LinkFacebookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkFacebook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkFacebook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkFacebook(ctx, req.(*LinkFacebookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkGameCenter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountGameCenter)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkGameCenter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkGameCenter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkGameCenter(ctx, req.(*AccountGameCenter))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkGoogle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountGoogle)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkGoogle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkGoogle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkGoogle(ctx, req.(*AccountGoogle))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_LinkSteam_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountSteam)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).LinkSteam(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/LinkSteam",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).LinkSteam(ctx, req.(*AccountSteam))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_ListFriends_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(google_protobuf1.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).ListFriends(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/ListFriends",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).ListFriends(ctx, req.(*google_protobuf1.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_ListNotifications_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListNotificationsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).ListNotifications(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/ListNotifications",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).ListNotifications(ctx, req.(*ListNotificationsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_RpcFunc_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Rpc)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).RpcFunc(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/RpcFunc",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).RpcFunc(ctx, req.(*Rpc))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkCustom_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountCustom)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkCustom(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkCustom",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkCustom(ctx, req.(*AccountCustom))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkDevice_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountDevice)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkDevice(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkDevice",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkDevice(ctx, req.(*AccountDevice))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkEmail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountEmail)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkEmail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkEmail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkEmail(ctx, req.(*AccountEmail))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkFacebook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountFacebook)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkFacebook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkFacebook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkFacebook(ctx, req.(*AccountFacebook))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkGameCenter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountGameCenter)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkGameCenter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkGameCenter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkGameCenter(ctx, req.(*AccountGameCenter))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkGoogle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountGoogle)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkGoogle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkGoogle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkGoogle(ctx, req.(*AccountGoogle))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UnlinkSteam_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AccountSteam)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UnlinkSteam(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UnlinkSteam",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UnlinkSteam(ctx, req.(*AccountSteam))
	}
	return interceptor(ctx, in, info, handler)
}

func _Nakama_UpdateAccount_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateAccountRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NakamaServer).UpdateAccount(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/nakama.api.Nakama/UpdateAccount",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NakamaServer).UpdateAccount(ctx, req.(*UpdateAccountRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Nakama_serviceDesc = grpc.ServiceDesc{
	ServiceName: "nakama.api.Nakama",
	HandlerType: (*NakamaServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddFriends",
			Handler:    _Nakama_AddFriends_Handler,
		},
		{
			MethodName: "AuthenticateCustom",
			Handler:    _Nakama_AuthenticateCustom_Handler,
		},
		{
			MethodName: "AuthenticateDevice",
			Handler:    _Nakama_AuthenticateDevice_Handler,
		},
		{
			MethodName: "AuthenticateEmail",
			Handler:    _Nakama_AuthenticateEmail_Handler,
		},
		{
			MethodName: "AuthenticateFacebook",
			Handler:    _Nakama_AuthenticateFacebook_Handler,
		},
		{
			MethodName: "AuthenticateGameCenter",
			Handler:    _Nakama_AuthenticateGameCenter_Handler,
		},
		{
			MethodName: "AuthenticateGoogle",
			Handler:    _Nakama_AuthenticateGoogle_Handler,
		},
		{
			MethodName: "AuthenticateSteam",
			Handler:    _Nakama_AuthenticateSteam_Handler,
		},
		{
			MethodName: "BlockFriends",
			Handler:    _Nakama_BlockFriends_Handler,
		},
		{
			MethodName: "CreateGroup",
			Handler:    _Nakama_CreateGroup_Handler,
		},
		{
			MethodName: "DeleteFriends",
			Handler:    _Nakama_DeleteFriends_Handler,
		},
		{
			MethodName: "DeleteNotifications",
			Handler:    _Nakama_DeleteNotifications_Handler,
		},
		{
			MethodName: "GetAccount",
			Handler:    _Nakama_GetAccount_Handler,
		},
		{
			MethodName: "GetUsers",
			Handler:    _Nakama_GetUsers_Handler,
		},
		{
			MethodName: "Healthcheck",
			Handler:    _Nakama_Healthcheck_Handler,
		},
		{
			MethodName: "ImportFacebookFriends",
			Handler:    _Nakama_ImportFacebookFriends_Handler,
		},
		{
			MethodName: "LinkCustom",
			Handler:    _Nakama_LinkCustom_Handler,
		},
		{
			MethodName: "LinkDevice",
			Handler:    _Nakama_LinkDevice_Handler,
		},
		{
			MethodName: "LinkEmail",
			Handler:    _Nakama_LinkEmail_Handler,
		},
		{
			MethodName: "LinkFacebook",
			Handler:    _Nakama_LinkFacebook_Handler,
		},
		{
			MethodName: "LinkGameCenter",
			Handler:    _Nakama_LinkGameCenter_Handler,
		},
		{
			MethodName: "LinkGoogle",
			Handler:    _Nakama_LinkGoogle_Handler,
		},
		{
			MethodName: "LinkSteam",
			Handler:    _Nakama_LinkSteam_Handler,
		},
		{
			MethodName: "ListFriends",
			Handler:    _Nakama_ListFriends_Handler,
		},
		{
			MethodName: "ListNotifications",
			Handler:    _Nakama_ListNotifications_Handler,
		},
		{
			MethodName: "RpcFunc",
			Handler:    _Nakama_RpcFunc_Handler,
		},
		{
			MethodName: "UnlinkCustom",
			Handler:    _Nakama_UnlinkCustom_Handler,
		},
		{
			MethodName: "UnlinkDevice",
			Handler:    _Nakama_UnlinkDevice_Handler,
		},
		{
			MethodName: "UnlinkEmail",
			Handler:    _Nakama_UnlinkEmail_Handler,
		},
		{
			MethodName: "UnlinkFacebook",
			Handler:    _Nakama_UnlinkFacebook_Handler,
		},
		{
			MethodName: "UnlinkGameCenter",
			Handler:    _Nakama_UnlinkGameCenter_Handler,
		},
		{
			MethodName: "UnlinkGoogle",
			Handler:    _Nakama_UnlinkGoogle_Handler,
		},
		{
			MethodName: "UnlinkSteam",
			Handler:    _Nakama_UnlinkSteam_Handler,
		},
		{
			MethodName: "UpdateAccount",
			Handler:    _Nakama_UpdateAccount_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/api.proto",
}

func init() { proto.RegisterFile("api/api.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 2653 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x1a, 0x4d, 0x6f, 0x1b, 0x5b,
	0x95, 0xf1, 0xb7, 0x8f, 0x9d, 0xc4, 0xb9, 0xc9, 0x0b, 0xae, 0x93, 0xb4, 0xee, 0x34, 0xaf, 0x4d,
	0x43, 0x6b, 0x57, 0x2e, 0xd0, 0xa7, 0x80, 0xa0, 0xf9, 0x70, 0x82, 0xd5, 0x36, 0x8d, 0x26, 0x49,
	0x81, 0xa2, 0x27, 0x33, 0x99, 0xb9, 0xb1, 0xe7, 0x65, 0x3c, 0x33, 0x6f, 0x3e, 0x52, 0x05, 0xf4,
	0xf4, 0xd0, 0x5b, 0x00, 0x62, 0x81, 0x10, 0x2c, 0x91, 0x10, 0x82, 0x0d, 0x62, 0xc5, 0x6f, 0x01,
	0x21, 0x21, 0x56, 0x2c, 0x58, 0xb2, 0x63, 0xc9, 0x06, 0xdd, 0x8f, 0x19, 0x5f, 0x7f, 0x4c, 0x3e,
	0xdc, 0xd7, 0xb7, 0xca, 0xdc, 0x73, 0xcf, 0x3d, 0xe7, 0xdc, 0x73, 0xcf, 0xb7, 0x03, 0x53, 0xaa,
	0x63, 0xd4, 0x55, 0xc7, 0xa8, 0x39, 0xae, 0xed, 0xdb, 0x08, 0x2c, 0xf5, 0x54, 0xed, 0xa9, 0x35,
	0xd5, 0x31, 0x2a, 0x4b, 0x1d, 0xdb, 0xee, 0x98, 0xb8, 0x4e, 0x31, 0x2c, 0xcb, 0xf6, 0x55, 0xdf,
	0xb0, 0x2d, 0x8f, 0x61, 0x56, 0x16, 0xf9, 0x2e, 0x5d, 0x1d, 0x07, 0x27, 0x75, 0xdc, 0x73, 0xfc,
	0x73, 0xbe, 0x79, 0x6b, 0x78, 0xd3, 0x37, 0x7a, 0xd8, 0xf3, 0xd5, 0x9e, 0xc3, 0x11, 0x6e, 0x0e,
	0x23, 0xbc, 0x71, 0x55, 0xc7, 0xc1, 0x6e, 0x48, 0xfd, 0x01, 0xfd, 0xa3, 0x3d, 0xec, 0x60, 0xeb,
	0xa1, 0xf7, 0x46, 0xed, 0x74, 0xb0, 0x5b, 0xb7, 0x1d, 0xca, 0x7f, 0x54, 0x16, 0xf9, 0x3f, 0x12,
	0x64, 0x37, 0x34, 0xcd, 0x0e, 0x2c, 0x1f, 0xad, 0x40, 0x2a, 0xf0, 0xb0, 0x5b, 0x96, 0xaa, 0xd2,
	0x6a, 0xa1, 0x51, 0xaa, 0xf5, 0x2f, 0x54, 0x3b, 0xf2, 0xb0, 0xab, 0xd0, 0x5d, 0xb4, 0x00, 0x99,
	0x37, 0xaa, 0x69, 0x62, 0xbf, 0x9c, 0xa8, 0x4a, 0xab, 0x79, 0x85, 0xaf, 0xd0, 0x3c, 0xa4, 0x71,
	0x4f, 0x35, 0xcc, 0x72, 0x92, 0x82, 0xd9, 0x02, 0x3d, 0x86, 0xac, 0x8e, 0xcf, 0x0c, 0x0d, 0x7b,
	0xe5, 0x54, 0x35, 0xb9, 0x5a, 0x68, 0xdc, 0x10, 0xc9, 0x72, 0xce, 0xdb, 0x14, 0x43, 0x09, 0x31,
	0xd1, 0x22, 0xe4, 0xb5, 0xc0, 0xf3, 0xed, 0x5e, 0xdb, 0xd0, 0xcb, 0x69, 0x4a, 0x2e, 0xc7, 0x00,
	0x2d, 0x1d, 0x7d, 0x03, 0x0a, 0x67, 0xd8, 0x35, 0x4e, 0xce, 0xdb, 0x44, 0x33, 0xe5, 0x0c, 0x15,
	0xb6, 0x52, 0x63, 0x5a, 0xa9, 0x85, 0x5a, 0xa9, 0x1d, 0x86, 0x6a, 0x53, 0x80, 0xa1, 0x13, 0x80,
	0x7c, 0x0b, 0xa6, 0x38, 0xcf, 0x2d, 0x4a, 0x0f, 0x4d, 0x43, 0xc2, 0xd0, 0xe9, 0x8d, 0xf3, 0x4a,
	0xc2, 0xd0, 0x05, 0x04, 0x26, 0xd4, 0x08, 0xc2, 0x53, 0x28, 0x72, 0x84, 0x26, 0xbd, 0x60, 0x74,
	0x6d, 0x49, 0xbc, 0x76, 0x05, 0x72, 0x8e, 0xea, 0x79, 0x6f, 0x6c, 0x57, 0xe7, 0x6a, 0x8a, 0xd6,
	0xf2, 0x3d, 0x98, 0xe1, 0x14, 0x76, 0x54, 0x0d, 0x1f, 0xdb, 0xf6, 0x29, 0x21, 0xe2, 0xdb, 0xa7,
	0xd8, 0x0a, 0x89, 0xd0, 0x85, 0xfc, 0x57, 0x09, 0x66, 0x39, 0xe6, 0xae, 0xda, 0xc3, 0x5b, 0xd8,
	0xf2, 0xb1, 0x4b, 0x94, 0xe3, 0x98, 0xea, 0x39, 0x76, 0xdb, 0x91, 0x5c, 0x39, 0x06, 0x68, 0xe9,
	0x64, 0xf3, 0x38, 0xb0, 0x74, 0x13, 0x93, 0x4d, 0xce, 0x98, 0x01, 0x5a, 0x3a, 0xfa, 0x0a, 0xcc,
	0x46, 0xc6, 0xd4, 0xf6, 0xb0, 0x66, 0x5b, 0xba, 0x47, 0x5f, 0x2b, 0xa9, 0x94, 0xa2, 0x8d, 0x03,
	0x06, 0x47, 0x08, 0x52, 0x9e, 0x6a, 0xfa, 0xe5, 0x14, 0x25, 0x42, 0xbf, 0xd1, 0x12, 0xe4, 0x3d,
	0xa3, 0x63, 0xa9, 0x7e, 0xe0, 0x62, 0xfe, 0x2e, 0x7d, 0x00, 0x5a, 0x81, 0x69, 0x27, 0x38, 0x36,
	0x0d, 0xad, 0x7d, 0x8a, 0xcf, 0xdb, 0x81, 0x6b, 0xd2, 0xb7, 0xc9, 0x2b, 0x45, 0x06, 0x7d, 0x86,
	0xcf, 0x8f, 0x5c, 0x53, 0x7e, 0x3f, 0x52, 0xf0, 0x2e, 0x7d, 0xb1, 0x98, 0xbb, 0xaf, 0x44, 0x6a,
	0x3e, 0xf0, 0xb1, 0xda, 0x8b, 0xc1, 0xda, 0x82, 0xd9, 0x0d, 0x5d, 0xdf, 0x71, 0x0d, 0x6c, 0xe9,
	0x9e, 0x82, 0x3f, 0x0e, 0xb0, 0xe7, 0xa3, 0x12, 0x24, 0x0d, 0xdd, 0x2b, 0x4b, 0xd5, 0xe4, 0x6a,
	0x5e, 0x21, 0x9f, 0x44, 0x6e, 0x62, 0xba, 0x96, 0xda, 0xc3, 0x5e, 0x39, 0x41, 0xe1, 0x7d, 0x80,
	0xfc, 0x7b, 0x09, 0x6e, 0x6c, 0x04, 0x7e, 0x17, 0x5b, 0xbe, 0xa1, 0xa9, 0x3e, 0x66, 0x96, 0x11,
	0x52, 0x7b, 0x0c, 0x59, 0x95, 0x09, 0xc2, 0xfd, 0x62, 0x9c, 0x01, 0xf3, 0x23, 0x21, 0x26, 0x6a,
	0x40, 0x46, 0x73, 0xb1, 0xea, 0x63, 0xfa, 0x06, 0xe3, 0xcc, 0x73, 0xd3, 0xb6, 0xcd, 0x57, 0xaa,
	0x19, 0x60, 0x85, 0x63, 0x12, 0x93, 0x09, 0x65, 0xe2, 0x2e, 0x14, 0xad, 0x47, 0x44, 0xe4, 0x0e,
	0x73, 0x1d, 0x11, 0x43, 0x1f, 0x7b, 0x57, 0x22, 0xfe, 0x4e, 0x82, 0xb2, 0x28, 0x22, 0xf5, 0x8e,
	0x50, 0xc2, 0xc6, 0xb0, 0x84, 0xe5, 0x31, 0x12, 0xb2, 0x13, 0xef, 0x4c, 0xc0, 0x7f, 0x48, 0xb0,
	0x28, 0x0a, 0x18, 0x3a, 0x5f, 0x28, 0xe3, 0xd7, 0x86, 0x65, 0x5c, 0x1c, 0x23, 0x63, 0x74, 0xe8,
	0x5d, 0x89, 0x49, 0xe8, 0x19, 0x3d, 0xc7, 0x76, 0x99, 0xe7, 0x5d, 0x42, 0x8f, 0x61, 0xca, 0x7f,
	0x92, 0x60, 0x59, 0xbc, 0x5a, 0x3f, 0x5a, 0x84, 0x97, 0x7b, 0x32, 0x7c, 0xb9, 0xe5, 0x31, 0x97,
	0x13, 0x8e, 0x7d, 0x61, 0x96, 0xcc, 0x82, 0xc0, 0xb5, 0x2c, 0x99, 0x1f, 0xf9, 0xc2, 0x2c, 0x99,
	0x06, 0xa0, 0x6b, 0x59, 0x32, 0x3b, 0xf1, 0xce, 0x04, 0x6c, 0xc2, 0xdc, 0xa6, 0x69, 0x6b, 0xa7,
	0x6f, 0x19, 0xf7, 0xce, 0x20, 0xbf, 0xd5, 0x55, 0x2d, 0x0b, 0x9b, 0x2d, 0x7d, 0x38, 0xcd, 0x91,
	0xf0, 0xef, 0x9f, 0x3b, 0x4c, 0xe2, 0xb4, 0x42, 0xbf, 0xe5, 0x26, 0xa4, 0x0e, 0xcf, 0x1d, 0x12,
	0xb1, 0x4b, 0x87, 0xdf, 0xdf, 0x6f, 0xb6, 0x8f, 0xf6, 0x0e, 0xf6, 0x9b, 0x5b, 0xad, 0x9d, 0x56,
	0x73, 0xbb, 0xf4, 0x25, 0x94, 0x83, 0x94, 0xf2, 0xf2, 0xe5, 0x8b, 0x92, 0x84, 0x10, 0x4c, 0x6f,
	0xb7, 0x94, 0xe6, 0xd6, 0x61, 0xfb, 0x45, 0xf3, 0xe0, 0x60, 0x63, 0xb7, 0x59, 0x4a, 0xa0, 0x3c,
	0xa4, 0x77, 0x95, 0x97, 0x47, 0xfb, 0xa5, 0xa4, 0xfc, 0x8b, 0x04, 0xcc, 0x6d, 0xd1, 0x5b, 0xee,
	0xba, 0x76, 0xe0, 0x44, 0xf2, 0x3f, 0x85, 0x4c, 0x87, 0x02, 0xe8, 0x15, 0x0a, 0x8d, 0x55, 0x51,
	0xb3, 0x63, 0x0e, 0xd4, 0xf6, 0xf0, 0x1b, 0x0a, 0x50, 0xf8, 0xb9, 0xca, 0x5f, 0x24, 0xc8, 0x85,
	0x40, 0x72, 0x03, 0xaa, 0x3d, 0x76, 0x27, 0xfa, 0x8d, 0xaa, 0x50, 0xd0, 0xb1, 0xa7, 0xb9, 0x06,
	0xad, 0x87, 0x78, 0x82, 0x14, 0x41, 0xe8, 0x06, 0xe4, 0x4c, 0xd5, 0xea, 0xb4, 0x7d, 0xb5, 0xc3,
	0xf5, 0x9e, 0x25, 0xeb, 0x43, 0xb5, 0x43, 0x9e, 0xa4, 0x87, 0x7d, 0x55, 0x57, 0x7d, 0x95, 0x67,
	0xc5, 0x68, 0x8d, 0x96, 0x01, 0xd4, 0x33, 0xd5, 0x57, 0x5d, 0x9a, 0xf7, 0x78, 0x6a, 0x64, 0x90,
	0x23, 0xd7, 0x44, 0x65, 0xc8, 0x3a, 0xae, 0x71, 0x46, 0x4c, 0x80, 0xe4, 0xc4, 0x9c, 0x12, 0x2e,
	0xe5, 0x1d, 0x98, 0xdf, 0xc6, 0x26, 0xf6, 0xf1, 0x5b, 0x3e, 0x66, 0x0d, 0x2a, 0x8c, 0xce, 0x9e,
	0xed, 0x1b, 0x27, 0xc4, 0x6e, 0x49, 0x91, 0x17, 0x4b, 0x4d, 0xfe, 0xa3, 0x04, 0x19, 0xc6, 0xf2,
	0x8a, 0x65, 0xdf, 0x3c, 0xa4, 0x3d, 0x3f, 0xb4, 0xe1, 0xb4, 0xc2, 0x16, 0xf2, 0x87, 0x90, 0x3e,
	0x20, 0x1f, 0xe8, 0x3d, 0x98, 0x3d, 0x38, 0xdc, 0x38, 0x1c, 0x36, 0x0a, 0x80, 0xcc, 0x8e, 0xd2,
	0x6a, 0xee, 0x6d, 0x97, 0x24, 0x34, 0x03, 0x85, 0xd6, 0xde, 0xab, 0xd6, 0x61, 0xb3, 0x7d, 0xd0,
	0xdc, 0x3b, 0x2c, 0x25, 0xd0, 0x1c, 0xcc, 0x70, 0x80, 0xd2, 0xdc, 0x6a, 0xb6, 0x5e, 0x35, 0xb7,
	0x4b, 0x49, 0x54, 0x80, 0xec, 0xe6, 0xf3, 0x97, 0x5b, 0xcf, 0x9a, 0xdb, 0xa5, 0x94, 0xfc, 0x04,
	0xb2, 0x5c, 0x2f, 0xe8, 0x01, 0x64, 0x4f, 0xd8, 0x27, 0x37, 0x0f, 0x24, 0x0a, 0xca, 0xb0, 0x94,
	0x10, 0x45, 0xd6, 0x61, 0x66, 0x17, 0xfb, 0x44, 0xfc, 0x49, 0x35, 0x8a, 0x6e, 0x43, 0xf1, 0x84,
	0x47, 0xfb, 0xb6, 0x41, 0x0b, 0x25, 0x82, 0x50, 0x08, 0x61, 0x2d, 0xdd, 0x93, 0x7f, 0x95, 0x84,
	0x34, 0x33, 0xb6, 0x61, 0xf7, 0x59, 0x06, 0xa0, 0x8e, 0x6c, 0xbb, 0xfd, 0x42, 0x2c, 0xcf, 0x21,
	0x2d, 0x3d, 0xb2, 0xcd, 0x64, 0xbc, 0x6d, 0xa6, 0x2e, 0xb6, 0xcd, 0x74, 0xbc, 0x6d, 0x66, 0x2e,
	0xb4, 0xcd, 0xec, 0x05, 0xb6, 0x99, 0x1b, 0xb0, 0x4d, 0xf2, 0xe4, 0x2c, 0xd2, 0xe5, 0x69, 0x8d,
	0xc8, 0x16, 0x48, 0x86, 0xa9, 0xc0, 0xd7, 0xda, 0xf6, 0xc9, 0x89, 0x87, 0xfd, 0x76, 0xcf, 0x2b,
	0x03, 0xdd, 0x2d, 0x04, 0xbe, 0xf6, 0x92, 0xc2, 0x5e, 0x78, 0xa4, 0x46, 0x67, 0x71, 0x8c, 0xd5,
	0xe8, 0x85, 0xcb, 0x6b, 0x74, 0x86, 0x4e, 0x00, 0xe4, 0x70, 0xe0, 0xe8, 0xd1, 0xe1, 0xe2, 0xe5,
	0x87, 0x19, 0x3a, 0x2d, 0xf0, 0x1f, 0x43, 0x86, 0x05, 0x09, 0x74, 0x7f, 0x28, 0x9c, 0xcc, 0x8a,
	0xf6, 0x32, 0x10, 0x37, 0xe4, 0x9f, 0x49, 0xb0, 0xd4, 0xa2, 0xa9, 0x34, 0xcc, 0xef, 0x43, 0xde,
	0x38, 0x61, 0x6d, 0xf0, 0x08, 0xd2, 0x2e, 0xf6, 0x78, 0xa7, 0x74, 0x71, 0xdc, 0x67, 0x88, 0xf2,
	0x4f, 0x24, 0x98, 0x7b, 0x6e, 0x58, 0xa7, 0x9f, 0x5f, 0x71, 0x72, 0xed, 0x62, 0xe2, 0x07, 0x50,
	0x7e, 0x6e, 0x78, 0xfe, 0xd8, 0x38, 0x32, 0x0f, 0x69, 0xd3, 0xe8, 0x19, 0x4c, 0x88, 0xa4, 0xc2,
	0x16, 0xe8, 0x3e, 0x94, 0x34, 0x55, 0xeb, 0x62, 0xf5, 0xd8, 0xc4, 0x6d, 0x2d, 0x70, 0x3d, 0xdb,
	0xe5, 0x26, 0x3f, 0x13, 0xc1, 0xb7, 0x28, 0x58, 0xfe, 0x97, 0x04, 0x45, 0x91, 0xf2, 0x88, 0xe3,
	0x94, 0x21, 0xeb, 0x05, 0xc7, 0x1f, 0x61, 0x2d, 0x6c, 0x2f, 0xc3, 0x25, 0xd9, 0xd1, 0x6c, 0xcb,
	0xc7, 0x96, 0x1f, 0x06, 0x66, 0xbe, 0x24, 0xde, 0xa4, 0xd9, 0x3a, 0xa6, 0x77, 0x4c, 0x2a, 0xf4,
	0x9b, 0x34, 0x42, 0x1e, 0xb6, 0x74, 0xd6, 0x25, 0xf1, 0x16, 0x92, 0x01, 0x58, 0x0b, 0x29, 0x9a,
	0x67, 0xe6, 0x5a, 0xe6, 0x79, 0x13, 0x80, 0x74, 0xdb, 0x86, 0x47, 0x45, 0xc9, 0x52, 0x97, 0x11,
	0x20, 0xf2, 0x27, 0x50, 0x12, 0x6f, 0x48, 0x74, 0x89, 0xbe, 0x05, 0x53, 0x96, 0xa8, 0x4f, 0x6e,
	0x92, 0x03, 0xb5, 0x83, 0x78, 0x48, 0x19, 0x44, 0xbf, 0x8e, 0x86, 0x7f, 0x2a, 0x41, 0x52, 0x71,
	0xb4, 0x11, 0xc5, 0x7e, 0x1d, 0xb2, 0x8e, 0x7a, 0x6e, 0xda, 0xaa, 0xce, 0xad, 0x71, 0x69, 0xe4,
	0xbe, 0x07, 0xbe, 0x6b, 0x58, 0x1d, 0x66, 0x0d, 0x21, 0x32, 0x7a, 0x02, 0xb9, 0xae, 0xef, 0x3b,
	0xa4, 0xa7, 0xa3, 0x7a, 0xbf, 0xf4, 0x20, 0xc1, 0x7e, 0x86, 0xcf, 0xe5, 0x6f, 0x42, 0xf6, 0x00,
	0x7b, 0x1e, 0x79, 0xe4, 0xb1, 0xcd, 0x1b, 0x79, 0xa2, 0x40, 0x77, 0xda, 0x6c, 0x87, 0xf7, 0xaa,
	0x81, 0xee, 0x1c, 0xd2, 0xce, 0xee, 0x7f, 0x09, 0x98, 0x3f, 0xa2, 0x6e, 0xcd, 0x8d, 0x3b, 0x34,
	0xc1, 0x0f, 0x84, 0xc2, 0x48, 0xba, 0x82, 0x3c, 0xfd, 0xca, 0xfa, 0xdb, 0x50, 0xd4, 0x0d, 0x8f,
	0xb4, 0xca, 0x6d, 0x7a, 0xfa, 0x2a, 0x6a, 0x28, 0xf0, 0x13, 0x7b, 0x2a, 0x0d, 0x4c, 0x62, 0x20,
	0xbd, 0x8a, 0x32, 0x84, 0x30, 0xfb, 0x44, 0x08, 0xde, 0xa9, 0xab, 0xe8, 0x31, 0x0c, 0xed, 0x1f,
	0x40, 0xce, 0xb4, 0x99, 0x21, 0x50, 0x43, 0xbe, 0xf4, 0xc2, 0x21, 0x36, 0x39, 0x49, 0xec, 0xfb,
	0x47, 0xb6, 0x15, 0xda, 0xf8, 0x25, 0x27, 0x43, 0x6c, 0xf9, 0xbf, 0x49, 0x48, 0x91, 0xe4, 0x39,
	0x62, 0x45, 0x62, 0x59, 0x9a, 0x18, 0xea, 0x5c, 0x6e, 0x0f, 0xe9, 0x37, 0xc9, 0x33, 0x98, 0xa0,
	0xc1, 0xc1, 0x54, 0x94, 0x1a, 0x4e, 0x45, 0x17, 0x27, 0xb8, 0x48, 0x0b, 0x3c, 0xc1, 0x45, 0xf7,
	0xac, 0x08, 0xf7, 0x64, 0xe9, 0x2d, 0x5a, 0x0f, 0x24, 0xc6, 0xdc, 0x50, 0x62, 0xbc, 0x05, 0x05,
	0x21, 0xc3, 0xd3, 0x2c, 0x97, 0x57, 0xa0, 0x9f, 0xe0, 0x89, 0x85, 0x32, 0x7d, 0x91, 0x6d, 0x60,
	0xa7, 0x19, 0xa0, 0xa5, 0xa3, 0x3b, 0x30, 0xd5, 0x51, 0x7b, 0x58, 0xa3, 0x0d, 0x13, 0x41, 0x28,
	0xb0, 0x69, 0x47, 0x1f, 0xd8, 0xd2, 0xc9, 0x8d, 0x3c, 0xd2, 0x0c, 0x90, 0xfd, 0x22, 0x8f, 0x67,
	0x64, 0xdd, 0xd2, 0xd1, 0x02, 0x64, 0x6c, 0xcb, 0x34, 0x2c, 0x5c, 0x9e, 0xa2, 0x31, 0x84, 0xaf,
	0x86, 0x83, 0xd3, 0xf4, 0xdb, 0xe4, 0xce, 0x99, 0x6b, 0xe5, 0xce, 0x3a, 0xa4, 0x69, 0xc5, 0x84,
	0xee, 0x42, 0x9a, 0xbc, 0x6a, 0x18, 0xa6, 0x46, 0x4b, 0x42, 0xb6, 0xdd, 0xf8, 0xfb, 0x12, 0x64,
	0xf6, 0xe8, 0x16, 0xfa, 0x2e, 0x40, 0x7f, 0x12, 0x83, 0x06, 0xbb, 0xcb, 0xe1, 0x09, 0x4d, 0x65,
	0x61, 0x44, 0xa0, 0x66, 0xcf, 0xf1, 0xcf, 0x65, 0xf4, 0xd9, 0xdf, 0xfe, 0xfd, 0x9b, 0x44, 0x51,
	0x86, 0xfa, 0x59, 0xa3, 0xce, 0x4a, 0x39, 0xf4, 0x99, 0x04, 0x68, 0x74, 0x3a, 0x83, 0xde, 0x1f,
	0xe0, 0x10, 0x37, 0xbd, 0xa9, 0xcc, 0x89, 0x68, 0x3c, 0x1c, 0xc9, 0x8f, 0x28, 0x9b, 0x35, 0xf9,
	0x16, 0x61, 0xc3, 0x53, 0x65, 0x5d, 0x15, 0x68, 0xd4, 0xd9, 0xb0, 0x71, 0x3d, 0xca, 0xa3, 0xc3,
	0x42, 0xf0, 0xd9, 0x60, 0xac, 0x10, 0x03, 0xf3, 0x99, 0x49, 0x85, 0x60, 0xd3, 0xd0, 0xbe, 0x10,
	0x9f, 0xc2, 0xec, 0xc8, 0x80, 0x05, 0xad, 0xc4, 0x89, 0x20, 0xce, 0x5f, 0xc6, 0x4b, 0x50, 0xa7,
	0x12, 0xdc, 0x97, 0x6f, 0xc6, 0x4a, 0x40, 0x67, 0x99, 0x7d, 0x01, 0x7e, 0x2e, 0xc1, 0xfc, 0xb8,
	0x09, 0x0a, 0xba, 0x17, 0x27, 0xc4, 0x50, 0x19, 0x33, 0x5e, 0x8e, 0x06, 0x95, 0xe3, 0x81, 0x7c,
	0x3b, 0x56, 0x8e, 0xd0, 0x25, 0xfb, 0xa2, 0xfc, 0x52, 0x82, 0x85, 0xf1, 0x13, 0x0f, 0x74, 0x3f,
	0x4e, 0x98, 0x91, 0xa9, 0xc8, 0x78, 0x71, 0xbe, 0x4a, 0xc5, 0xa9, 0xc9, 0x77, 0x62, 0xc5, 0xe9,
	0x7b, 0x78, 0xbc, 0x85, 0xf0, 0xe1, 0x66, 0xac, 0x85, 0x0c, 0xcc, 0x3d, 0x26, 0xb5, 0x10, 0xe6,
	0x45, 0xb1, 0x16, 0xc2, 0x26, 0xa7, 0xb1, 0x16, 0x22, 0xce, 0x35, 0x26, 0xb5, 0x10, 0x1a, 0xcc,
	0xfa, 0x02, 0xa8, 0x50, 0x14, 0x27, 0x13, 0xe8, 0x96, 0x48, 0x75, 0xcc, 0xcc, 0x22, 0x36, 0x12,
	0x94, 0x29, 0x67, 0x24, 0x97, 0xfa, 0x91, 0xa0, 0x7e, 0x4c, 0xce, 0xa3, 0xef, 0x41, 0x41, 0x98,
	0x05, 0x0c, 0x72, 0x18, 0x33, 0x24, 0xa8, 0xa0, 0x91, 0xb2, 0xdf, 0x93, 0xe7, 0x29, 0xf5, 0x69,
	0x39, 0x4f, 0xa8, 0xd3, 0x1e, 0x60, 0x5d, 0x5a, 0x43, 0x1f, 0xc2, 0xd4, 0x40, 0x2b, 0x8e, 0xaa,
	0xe2, 0xd1, 0x71, 0x5d, 0xfa, 0x65, 0x81, 0x6c, 0x4d, 0x0c, 0x64, 0x36, 0xcc, 0x8d, 0xe9, 0xd0,
	0xd1, 0xdd, 0x51, 0x26, 0xe3, 0x4a, 0xef, 0xcb, 0x34, 0xb5, 0x46, 0x35, 0x25, 0x56, 0x8d, 0x68,
	0x0f, 0x60, 0x17, 0xfb, 0xe1, 0x8f, 0x3b, 0x31, 0xe7, 0x07, 0x1f, 0x9e, 0x23, 0xcb, 0x73, 0x94,
	0xe8, 0x14, 0x2a, 0x08, 0x0f, 0x8f, 0x9e, 0x43, 0x2e, 0xec, 0xa9, 0xd1, 0x40, 0xfb, 0x31, 0xd4,
	0x69, 0x57, 0x66, 0x87, 0xf3, 0x85, 0x27, 0x97, 0x28, 0x41, 0x40, 0x39, 0x42, 0x90, 0xce, 0x13,
	0x0e, 0xa0, 0xf0, 0x1d, 0xac, 0x9a, 0x7e, 0x57, 0xeb, 0x62, 0xed, 0x34, 0x56, 0xbc, 0xb8, 0x6b,
	0xf3, 0x27, 0x44, 0xc5, 0x7a, 0x57, 0xa0, 0xf2, 0x29, 0xbc, 0x37, 0xb6, 0x8f, 0x43, 0x03, 0xb3,
	0xa4, 0x8b, 0x5a, 0xbd, 0x58, 0x86, 0x2b, 0x94, 0xe1, 0x4d, 0x79, 0x4e, 0xb0, 0xc8, 0xd1, 0xb8,
	0xa4, 0x01, 0x90, 0xf6, 0x8d, 0x27, 0xa9, 0xf8, 0x9f, 0x0a, 0x62, 0xd9, 0xc8, 0x94, 0xcd, 0x92,
	0xfc, 0x65, 0xd1, 0xe5, 0x4c, 0xc3, 0x3a, 0x0d, 0x73, 0x92, 0xb4, 0x16, 0x32, 0xe1, 0x49, 0x28,
	0x7e, 0xd8, 0x3f, 0x01, 0x13, 0x9e, 0x73, 0xa4, 0x35, 0xf4, 0x43, 0xc8, 0x13, 0x26, 0x2c, 0xcb,
	0xc4, 0x8e, 0xeb, 0x63, 0x59, 0xdc, 0xa6, 0x2c, 0x16, 0xe5, 0x85, 0x11, 0x16, 0x2c, 0xa9, 0x48,
	0x6b, 0xc8, 0x83, 0xa2, 0xd8, 0xea, 0x0e, 0xba, 0xf2, 0x98, 0x26, 0x38, 0x96, 0xd7, 0x1a, 0xe5,
	0xb5, 0x22, 0xdf, 0x18, 0xe1, 0x35, 0xfa, 0x40, 0x36, 0x4c, 0x13, 0xd2, 0x42, 0xbe, 0xb8, 0x78,
	0x12, 0x1e, 0xcb, 0xf4, 0x2e, 0x65, 0x5a, 0x95, 0x17, 0x47, 0x98, 0x0a, 0xe9, 0xa1, 0xff, 0x58,
	0x3c, 0x1f, 0xc4, 0xcf, 0xb3, 0x27, 0x78, 0x2c, 0x1e, 0xfe, 0xfb, 0x8f, 0xc5, 0x02, 0x7e, 0xec,
	0x44, 0x7a, 0x82, 0xc7, 0x62, 0xf1, 0x5d, 0x5a, 0x43, 0x7b, 0x50, 0x20, 0x9d, 0x6c, 0xe8, 0x4f,
	0x57, 0x8a, 0x26, 0x1c, 0x39, 0x8c, 0x86, 0x48, 0x8c, 0x86, 0x1f, 0xc3, 0xec, 0xc8, 0x94, 0x61,
	0x30, 0x55, 0xc5, 0x0d, 0x21, 0x2a, 0x4b, 0x71, 0x5d, 0x33, 0x39, 0x11, 0xc6, 0x43, 0x34, 0x1a,
	0x0f, 0x5f, 0x43, 0x56, 0x71, 0xb4, 0x9d, 0xc0, 0xd2, 0xd0, 0x8c, 0x48, 0x42, 0x71, 0xb4, 0xca,
	0x30, 0x40, 0x7e, 0x48, 0xc9, 0xdc, 0x93, 0x8b, 0x84, 0x8c, 0xeb, 0x68, 0xf5, 0x1f, 0x1b, 0xfa,
	0x27, 0xeb, 0x61, 0x57, 0xfc, 0x9a, 0x04, 0x1e, 0x61, 0x03, 0x75, 0xa0, 0x78, 0x44, 0xca, 0xf7,
	0xb7, 0xf0, 0xfc, 0x30, 0xc0, 0x0c, 0x58, 0x71, 0x60, 0x0d, 0xf9, 0x7e, 0xc4, 0x68, 0x72, 0xef,
	0xbf, 0x88, 0x51, 0xdf, 0xff, 0x75, 0x28, 0x30, 0x46, 0x93, 0x46, 0x80, 0x3b, 0x94, 0xcd, 0xb2,
	0x5c, 0x1e, 0xc3, 0x26, 0x8a, 0x01, 0x3d, 0x98, 0x66, 0x5c, 0xa2, 0x28, 0x70, 0xd1, 0x60, 0xeb,
	0x7a, 0xce, 0xc8, 0x79, 0x45, 0x31, 0x80, 0x86, 0x9c, 0x12, 0x63, 0xf7, 0xf6, 0xfe, 0xbf, 0x4a,
	0x59, 0xca, 0xf2, 0xf2, 0x18, 0x96, 0x83, 0x11, 0x20, 0x7a, 0xb2, 0xc9, 0x63, 0xc0, 0x45, 0x4f,
	0xd6, 0x8f, 0x02, 0xd1, 0x93, 0x4d, 0x1a, 0x07, 0x2e, 0x7a, 0xb2, 0x28, 0x12, 0xa8, 0x30, 0x35,
	0x30, 0x98, 0x19, 0x2c, 0x93, 0xc6, 0xcd, 0x6c, 0x62, 0xf9, 0x2d, 0x50, 0x7e, 0xa5, 0x8a, 0x58,
	0x66, 0xac, 0x4b, 0x6b, 0x9b, 0xbf, 0x4d, 0xfc, 0x7a, 0xe3, 0x9f, 0x12, 0x0a, 0x60, 0x8a, 0x75,
	0x97, 0xd5, 0x8d, 0xfd, 0x56, 0xf5, 0xac, 0x21, 0xb7, 0xe1, 0xf6, 0x61, 0x17, 0x57, 0x43, 0x60,
	0xe0, 0x77, 0x6d, 0xd7, 0xab, 0xde, 0xad, 0x6e, 0xd9, 0x96, 0xef, 0x1a, 0xc7, 0x81, 0x6f, 0xbb,
	0x1e, 0x5a, 0xe9, 0xfa, 0xbe, 0xe3, 0xad, 0xd7, 0xeb, 0x1d, 0xc3, 0xef, 0x06, 0xc7, 0x35, 0xcd,
	0xee, 0xd5, 0xbb, 0xd8, 0xb5, 0x0d, 0xcd, 0x54, 0x8f, 0xbd, 0x3a, 0x93, 0xb5, 0x32, 0xdf, 0xc5,
	0xa6, 0x69, 0x3f, 0xed, 0x6f, 0x10, 0xbc, 0x46, 0xb2, 0x51, 0x7b, 0xb4, 0x26, 0x49, 0x8d, 0x92,
	0xea, 0x38, 0x26, 0x8f, 0x1b, 0xf5, 0x8f, 0x3c, 0xdb, 0x5a, 0x1f, 0x81, 0xb8, 0xeb, 0xb0, 0xc8,
	0x05, 0xf1, 0xb0, 0x7b, 0x86, 0xdd, 0xaa, 0x6e, 0x6b, 0x41, 0x0f, 0x5b, 0xec, 0xff, 0x6b, 0xd0,
	0x62, 0x28, 0xc6, 0x20, 0x8b, 0xba, 0x6e, 0x6b, 0x1e, 0xdc, 0xd0, 0xec, 0x5e, 0x4d, 0xd8, 0xe8,
	0x2b, 0x70, 0x33, 0xcf, 0x88, 0x6e, 0x38, 0xc6, 0xbe, 0xf4, 0x3a, 0xa9, 0x3a, 0xc6, 0x1f, 0x12,
	0xa9, 0xbd, 0x67, 0xfb, 0x9b, 0x7f, 0x4e, 0xf0, 0x56, 0xfb, 0x38, 0x43, 0xb5, 0xf8, 0xf8, 0xff,
	0x01, 0x00, 0x00, 0xff, 0xff, 0x79, 0x46, 0xb3, 0xe8, 0x80, 0x24, 0x00, 0x00,
}
